.SUFFIXES=

MAIN=lucky-man

objdir=./objs

figdir=../figs

FIGS=  $(objdir)/heater_sensors.ps  $(objdir)/windows.ps $(objdir)/para.ps

ALLTEX= triangle.tex triangle_edges.tex ext_func_call.tex triangle_luc.tex \
 lucky-syntax.tex dynamic_weight.tex infinite_weight.tex macros.tex  \
 structured_type.tex window.tex touch.tex call_external_c_code.tex ../version.tex


../version.tex:
	cd ../..; make gen_version

all : $(objdir) pdf

re :
	touch touch.tex; make

pdf:$(MAIN).pdf
	cp $(objdir)/$(MAIN).pdf .

bib :
	cd $(objdir); bibtex  $(MAIN)

v :
	xpdf $(MAIN).pdf

cp :$(MAIN).pdf
	cp -f $(MAIN).pdf /usr/local/www/DIST-TOOLS/SYNCHRONE/lurette/doc

build:
	cd ../test; make doctex; make docdot


$(objdir):
	mkdir $(objdir)

$(MAIN).ps : $(objdir)/$(MAIN).dvi
	cd $(objdir); dvips $(MAIN).dvi -o ../$(MAIN).ps ; cp  $(MAIN).dvi ..

$(MAIN).pdf : $(objdir)/$(MAIN).tex $(FIGS)
	cd $(objdir); pdflatex $(MAIN).tex -o ../$(MAIN).pdf

$(objdir)/$(MAIN).dvi : $(objdir)/$(MAIN).tex $(FIGS)
	cd $(objdir); latex $(MAIN).tex

$(objdir)/$(MAIN).tex : $(MAIN).tex $(ALLTEX)
	cp $(MAIN).tex $(objdir)/$(MAIN).tex 

$(objdir)/%.ps : $(figdir)/%.fig
# 	fig2dev -Lpstex $(figdir)/$*.fig > $(objdir)/$*.ps
# 	fig2dev -Lpstex_t -p $*.ps $(figdir)/$*.fig > $(objdir)/$*.tex
	cp $(figdir)/$*.fig $(objdir)/$*.fig
	fig2dev -Lpstex $(objdir)/$*.fig > $(objdir)/$*.ps
	cd $(objdir);  epstopdf $*.ps
	cd $(objdir); fig2dev -Lpstex_t  -p $*.pdf $*.fig > $*.tex


clean:
	rm -rf $(objdir)/*
